# Uses of Class
com.google.protobuf.BytesValue

Packages that use BytesValue
Package
Description
com.google.protobuf

## Uses of BytesValue in com.google.protobuf

Methods in com.google.protobuf that return BytesValue
Modifier and Type
Method
Description
`BytesValue`
BytesValue.Builder.`build()`
`BytesValue`
BytesValue.Builder.`buildPartial()`
`static BytesValue`
BytesValue.`getDefaultInstance()`
`BytesValue`
BytesValue.Builder.`getDefaultInstanceForType()`
`BytesValue`
BytesValue.`getDefaultInstanceForType()`
`static BytesValue`
BytesValue.`of(ByteString value)`
`static BytesValue`
BytesValue.`parseDelimitedFrom(InputStream input)`
`static BytesValue`
BytesValue.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static BytesValue`
BytesValue.`parseFrom(byte[] data)`
`static BytesValue`
BytesValue.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static BytesValue`
BytesValue.`parseFrom(ByteString data)`
`static BytesValue`
BytesValue.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static BytesValue`
BytesValue.`parseFrom(CodedInputStream input)`
`static BytesValue`
BytesValue.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static BytesValue`
BytesValue.`parseFrom(InputStream input)`
`static BytesValue`
BytesValue.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static BytesValue`
BytesValue.`parseFrom(ByteBuffer data)`
`static BytesValue`
BytesValue.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type BytesValue
Modifier and Type
Method
Description
`Parser<BytesValue>`
BytesValue.`getParserForType()`
`static Parser<BytesValue>`
BytesValue.`parser()`
Methods in com.google.protobuf with parameters of type BytesValue
Modifier and Type
Method
Description
`BytesValue.Builder`
BytesValue.Builder.`mergeFrom(BytesValue other)`
`static BytesValue.Builder`
BytesValue.`newBuilder(BytesValue prototype)`